Subject: Re: bug#2837: 23.0.91; tramp: ssh passphrase vs. password

From: "Trent W. Buck" <[email-masked]>
Date: Wed, 1 Apr 2009 16:19:57 +1100

On Wed, Apr 01, 2009 at 06:59:59AM +0200, Michael Albinus wrote:
> [email-masked] writes:
> 
> > Just now I tried to open /ssh:dhcp98:/ and it asked me for "dhcp98's
> > password".  It *should* have asked me for the passphrase for one of my
> > SSH keys (id_rsa).  This either means that the prompt is misleading
> > (i.e. it wants my passphrase) or worse, that it genuinely wants to use
> > password-based authentication (i.e. ignoring my key).
> 
> Tramp tries to find out, whether it shall ask for the "password" or the
> "passphrase". It checks ssh's prompt for this.
> 
> What does ssh asks you, if you apply "ssh dhcp98" from a shell?

I'm using OpenSSH and an ssh-agent is running, and Emacs can see that
agent.  When I have not used ssh-add, I see this:

$ ssh dhcp98
Enter passphrase for key '/home/twb/.ssh/id_rsa':